 
#include<stdio.h>
 int main() {
 int n,v,p,t;
 /*v-vrasta,t-popunjena polja,p-prazna polja*/
  scanf("%d",&n);
  if(n<=0){printf("-1");
           return -1;
  }
 else 
 {for(v=0;v<=n-1;v++)
 {
   for(p=0;p<=n-1-v;p++){
     printf(" ");
  }
   for(t=1;t<=2*v+1;t++){
       if(t%2==1){printf("*");}
       else {printf("A");}
  }
printf("\n");}
   
 return 0;}  
}